
const services = require('../services/absensi.service')

const history = async (req, res) => {
    const response = await services.history(req, res);
    return response;
};

const getAll = async (req, res) => {
    const response = await services.getAll(req, res)
}

const create = async (req, res) => {
    const response = await services.create(req, res);
    return response;
};

const clockOut = async (req, res) => {
    const response = await services.clockOut(req, res)
    return response
}

const update = async (req, res) => {
    const response = await services.update(req, res);
    return response
}

const destroy = async (req, res) => {
    const response = await services.destroy(req, res);
    return response;
};

const checkLocation = async (req, res) => {
    const response = await services.checkLocation(req, res)
    return response
}

module.exports = {
    create,
    history,
    update,
    destroy,
    clockOut,
    getAll,
    checkLocation
}